Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.api
Interface Stream

public interface Stream
extends Stage, EventSink, com.bea.wlevs.ede.api.EventSinkManager

Streams are virtual pipes that continously handle events.

Method Summary
`int` | `getCurrentSize()` Returns the current (used) size of stream
`int` | `getMaxSize()` Returns maximum size of stream
`int` | `getMaxThreads()` Returns maximum number of threads that a stream should use for processing events.
`void` | `setMaxSize(int size)` Maximum number of events that a stream can hold at a time.
`void` | `setMaxThreads(int maxThreads)` Maximum number of threads that a stream should use for processing events.

Methods inherited from interface com.bea.wlevs.ede.api.EventSink
`onEvent`

Methods inherited from interface com.bea.wlevs.ede.api.EventSender
`sendEvent`

Method Detail

### setMaxSize

    public void setMaxSize(int size)
                    throws java.beans.PropertyVetoException

  Maximum number of events that a stream can hold at a time.

  Parameters:
    `size` - - the maximum allowable number of retained events
  Throws:
    java.beans.PropertyVetoException - if size is not valid

### getMaxSize

    public int getMaxSize()

  Returns maximum size of stream

  Returns:
    maximum size

### getCurrentSize

    public int getCurrentSize()

  Returns the current (used) size of stream

  Returns:
    size - int current size

### setMaxThreads

    public void setMaxThreads(int maxThreads)

  Maximum number of threads that a stream should use for processing events.

  Parameters:
    `threads` - - the number of worker threads to use.

### getMaxThreads

    public int getMaxThreads()

  Returns maximum number of threads that a stream should use for processing events. return threads - int the number of worker threads to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.